: Class PjCatalog

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.etymon.pj.object
Class PjCatalog

    java.lang.Object
      |
      +--com.etymon.pj.object.BaseObject
            |
            +--com.etymon.pj.object.PjObject
                  |
                  +--com.etymon.pj.object.PjDictionary
                        |
                        +--com.etymon.pj.object.PjCatalog

All Implemented Interfaces:
  java.lang.Cloneable

public class PjCatalog
extends PjDictionary

A representation of a PDF Catalog dictionary.

Fields inherited from class com.etymon.pj.object.PjDictionary
`_h`

Constructor Summary
`PjCatalog()` Creates a new Catalog dictionary.
`PjCatalog(java.util.Hashtable h)` Creates a Catalog dictionary as a wrapper around a Hashtable.

Method Summary
`java.lang.Object` | `clone()` Returns a deep copy of this object.
`PjObject` | `getAA()`
`PjObject` | `getAcroForm()`
`PjObject` | `getDests()`
`PjObject` | `getNames()`
`PjObject` | `getOpenAction()`
`PjObject` | `getOutlines()`
`PjObject` | `getPageMode()`
`PjObject` | `getPages()`
`PjObject` | `getThreads()`
`PjObject` | `getURI()`
`PjObject` | `getViewerPreferences()`
`static boolean` | `isLike(PjDictionary dictionary)` Examines a dictionary to see if it is a PDF Catalog object.
`void` | `setAA(PjDictionary aa)`
`void` | `setAA(PjReference aa)`
`void` | `setAcroForm(PjDictionary acroForm)`
`void` | `setAcroForm(PjReference acroForm)`
`void` | `setDests(PjReference dests)`
`void` | `setNames(PjDictionary names)`
`void` | `setNames(PjReference names)`
`void` | `setOpenAction(PjArray openAction)`
`void` | `setOpenAction(PjDictionary openAction)`
`void` | `setOpenAction(PjReference openAction)`
`void` | `setOutlines(PjReference outlines)`
`void` | `setPageMode(PjName pageMode)`
`void` | `setPageMode(PjReference pageMode)`
`void` | `setPages(PjReference pages)`
`void` | `setThreads(PjReference threads)`
`void` | `setURI(PjDictionary uri)`
`void` | `setURI(PjReference uri)`
`void` | `setViewerPreferences(PjDictionary viewerPreferences)`
`void` | `setViewerPreferences(PjReference viewerPreferences)`

Methods inherited from class com.etymon.pj.object.PjDictionary
`cloneHt, getHashtable, hget, hgetReference, renumber, writePdf`

Methods inherited from class com.etymon.pj.object.BaseObject
`toString, write, write, write, writeln`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PjCatalog

    public PjCatalog()

  Creates a new Catalog dictionary.

### PjCatalog

    public PjCatalog(java.util.Hashtable h)

  Creates a Catalog dictionary as a wrapper around a Hashtable.
  Parameters:
    `h` - the Hashtable to use for this dictionary.

Method Detail

### setPages

    public void setPages(PjReference pages)

### getPages

    public PjObject getPages()
                      throws InvalidPdfObjectException

### setOutlines

    public void setOutlines(PjReference outlines)

### getOutlines

    public PjObject getOutlines()
                         throws InvalidPdfObjectException

### setPageMode

    public void setPageMode(PjName pageMode)

### setPageMode

    public void setPageMode(PjReference pageMode)

### getPageMode

    public PjObject getPageMode()
                         throws InvalidPdfObjectException

### setOpenAction

    public void setOpenAction(PjArray openAction)

### setOpenAction

    public void setOpenAction(PjDictionary openAction)

### setOpenAction

    public void setOpenAction(PjReference openAction)

### getOpenAction

    public PjObject getOpenAction()
                           throws InvalidPdfObjectException

### setThreads

    public void setThreads(PjReference threads)

### getThreads

    public PjObject getThreads()
                        throws InvalidPdfObjectException

### setDests

    public void setDests(PjReference dests)

### getDests

    public PjObject getDests()
                      throws InvalidPdfObjectException

### setNames

    public void setNames(PjDictionary names)

### setNames

    public void setNames(PjReference names)

### getNames

    public PjObject getNames()
                      throws InvalidPdfObjectException

### setURI

    public void setURI(PjDictionary uri)

### setURI

    public void setURI(PjReference uri)

### getURI

    public PjObject getURI()
                    throws InvalidPdfObjectException

### setAA

    public void setAA(PjDictionary aa)

### setAA

    public void setAA(PjReference aa)

### getAA

    public PjObject getAA()
                   throws InvalidPdfObjectException

### setViewerPreferences

    public void setViewerPreferences(PjDictionary viewerPreferences)

### setViewerPreferences

    public void setViewerPreferences(PjReference viewerPreferences)

### getViewerPreferences

    public PjObject getViewerPreferences()
                                  throws InvalidPdfObjectException

### setAcroForm

    public void setAcroForm(PjDictionary acroForm)

### setAcroForm

    public void setAcroForm(PjReference acroForm)

### getAcroForm

    public PjObject getAcroForm()
                         throws InvalidPdfObjectException

### isLike

    public static boolean isLike(PjDictionary dictionary)

  Examines a dictionary to see if it is a PDF Catalog object.
  Parameters:
    `dictionary` - the dictionary to examine.
  Returns:
    true if the dictionary could be interpreted as a valid PjCatalog object.

### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

  Returns a deep copy of this object.
  Overrides:
    `clone` in class `PjDictionary`
  Returns:
    a deep copy of this object.
  Throws:
    `java.lang.CloneNotSupportedException` - if the instance can not be cloned.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD